Channel List
curl --request GET \
--url https://scx-sbx.api.jtl-software.com/v1/public/channel \
--header 'Authorization: Bearer <token>'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/public/channel"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://scx-sbx.api.jtl-software.com/v1/public/channel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"channelList": [
{
"currency": "EUR",
"marketplaceList": [
"DE"
],
"displayName": "MyBestDeals.com",
"website": "https://mybestdeals.de/sell-with-jtl",
"supportContact": "support@mybestdeals.de",
"vendor": "JTL-Software",
"signUpUrl": "https://mysqlbestdeals.com/signup-for-scx?session={SESSION}",
"featureList": {
"invoiceDocumentTransfer": "not-supported",
"priceUpdatesSupported": false,
"quantityPriceSupported": false,
"remainingQuanitySupported": false,
"variationsSupported": false,
"returnTrackingRequired": false,
"allowCombineOrders": false,
"stockUpdateWithoutEventSupported": false
},
"isPlatform": false,
"visibility": "JTL",
"channel": "MYBESTDEALCOMDE",
"group": "MyBestDeals",
"supportedLanguages": [
"de"
],
"pricing": "https://mybestdeals.de/sell-with-jtl#pricing",
"channelType": "MARKETPLACE",
"updateUrl": "https://mysqlbestdeals.com/signup-for-scx?session={SESSION}",
"logo": "https://mysqlbestdeals.com/logo.svg",
"description": "MyBestDeals is the marketplace where customers find the best deals in the world.",
"appId": "mybestdeals",
"minimumClientsVersionRequired": [
{
"type": "Wawi",
"version": "1.11.0.3"
}
],
"platform": "AMAZON",
"marketplaceChannelList": [
"JTL Marketplace FR",
"JTL Marketplace DE",
"JTL Marketplace GB"
],
"stockSyncGroup": "AMAZON-EU",
"statistics": {
"rating": 95,
"avgOfferListingDelaySeconds": 120,
"avgOrderDelaySeconds": 30
}
}
],
"limit": 100,
"offset": 0,
"total": 0
}{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Channel
Channel List
List all channels available through SCX platform.
GET
/
v1
/
public
/
channel
Channel List
Authorizations
You can create a JSON Web Token (JWT) by SignUp a JTL-Scx Subscription using the JTL Customer center. Usage format: Bearer
Query Parameters
Pagination offset (number of channels to skip)
Maximum number of channels to return per page
Filter by marketplace country code (e.g. DE, AT, CH)
Filter channels by visibility scope:
JTL— public JTL channelsTHIRDPARTY— third-party channelsONBOARDING— channels currently in onboardingRESTRICTED— channels with restricted access
Available options:
JTL, THIRDPARTY, ONBOARDING, RESTRICTED Was this page helpful?
⌘I